Create a custom property definition
curl --request POST \
--url https://api.example.com/api/v1/custom-property-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"name": "<string>",
"config": {
"max": 123,
"max_length": 1,
"min": 123,
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
},
"default_value": "<unknown>",
"description": "<string>",
"display_order": 123,
"required": true
}
'import requests
url = "https://api.example.com/api/v1/custom-property-definitions"
payload = {
"key": "<string>",
"name": "<string>",
"config": {
"max": 123,
"max_length": 1,
"min": 123,
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
},
"default_value": "<unknown>",
"description": "<string>",
"display_order": 123,
"required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
config: {
max: 123,
max_length: 1,
min: 123,
options: [{value: '<string>', label: '<string>'}]
},
default_value: '<unknown>',
description: '<string>',
display_order: 123,
required: true
})
};
fetch('https://api.example.com/api/v1/custom-property-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"config": {
"max": 123,
"max_length": 1,
"min": 123,
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
},
"display_order": 123,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"required": true,
"default_value": "<unknown>",
"description": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Custom Properties
Create a custom property definition
POST
/
api
/
v1
/
custom-property-definitions
Create a custom property definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
CUSTOMER, SUBSCRIPTION, INVOICE, CREDIT_NOTE Immutable machine name; letters, digits and underscores only. Unique per entity type.
Available options:
TEXT, NUMBER, BOOLEAN, DATE, DATETIME, SINGLE_SELECT, MULTI_SELECT, JSON, URL, EMAIL Type-specific configuration. Only the fields relevant to property_type are interpreted.
Show child attributes
Show child attributes
Response
Created
Type-specific configuration. Only the fields relevant to property_type are interpreted.
Show child attributes
Show child attributes
Available options:
CUSTOMER, SUBSCRIPTION, INVOICE, CREDIT_NOTE Example:
"cpd_7n42DGM5Tflk9n8mt7Fhc7"
Available options:
TEXT, NUMBER, BOOLEAN, DATE, DATETIME, SINGLE_SELECT, MULTI_SELECT, JSON, URL, EMAIL ⌘I